global:
  registry: docker.io
  repository: freeleaps
  environment: alpha
  nodeSelector: {}
dashboard:
  enabled: false
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/freeleaps/*.log
  logPath: /app/log/freeleaps
freeleaps:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: backend
    tag: snapshot-527726c
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8001
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 128Mi
    limits:
      cpu: 300m
      memory: 256Mi
  probes: {}
  services:
  - name: freeleaps-service
    type: ClusterIP
    port: 8001
    targetPort: 8001
    serviceMonitor:
      enabled: false
  ingresses:
  - name: freeleaps-ingress
    host: api.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: freeleaps-service
          port:
            number: 8001
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: api.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: freeleaps
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8001
    mongodbName: freeleaps2
    mongodbUri: mongodb+srv://jetli:8IHKx6dZK8BfugGp@freeleaps2.hanbj.mongodb.net/
    mongodbPort: 27017
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://freeleaps-alpha.com
    jwtSecretKey: 8f87ca8c3c9c3df09a9c78e0adb0927855568f6072d9efc892534aee35f5867b
    jwtAlgorithm: HS256
    stripeApiKey: sk_test_51Ogsw5B0IyqaSJBrwczlr820jnmvA1qQQGoLZ2XxOsIzikpmXo4pRLjw4XVMTEBR8DdVTYySiAv1XX53Zv5xqynF00GfMqttFd
    stripeWebhookSecret: whsec_hUbnahlGtAvN2yckBk45a236LmrODOdm
    stripeAccountWebhookSecret: whsec_PgPnkWGhEUiQfnV8aIb5Wmruz7XETJLm
    rabbitmqHost: freeleaps-alpha-rabbitmq.freeleaps-alpha.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqPassword: 4O80YlxnlhHrjzaM
    freeleapsDevsvcEndpoint: http://devsvc-service.freeleaps-alpha.svc.freeleaps.cluster:8007/api/devsvc/
    freeleapsContentEndpoint: http://content-service.freeleaps-alpha.svc.freeleaps.cluster:8013/api/content/
    freeleapsCentralStorageEndpoint: http://central-storage-service.freeleaps-alpha.svc.freeleaps.cluster:8005/api/central_storage/
    freeleapsChatEndpoint: http://chat-service.freeleaps-alpha.svc.freeleaps.cluster:8012/api/chat/
    freeleapsPaymentEndpoint: http://payment-service.freeleaps-alpha.svc.freeleaps.cluster:8006/api/payment/
    freeleapsAuthenticationEndpoint: http://authentication-service.freeleaps-alpha.svc.freeleaps.cluster:8004/api/auth/
    freeleapsNotificationEndpoint: http://notification-service.freeleaps-alpha.svc.freeleaps.cluster:8003/api/notification/
    freeleapsAilabEndpoint: ''
    freeleapsEnv: alpha
    certPath: ''
    redisUrl: redis://:4sTqfZvUwR@freeleaps-alpha-redis-master.freeleaps-alpha.svc.freeleaps.cluster:6379
    redisIsCluster: 'false'
    metricsEnabled: 'false'
    probesEnabled: 'true'
    giteaApiKey: 737645b8a52b24bf6fc5081c461255fd4c28ab0a
    giteaEndpoint: https://alpha.gitea.freeleaps.mathmast.com/
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 256Mi
    controlledResources:
    - cpu
    - memory
